===================================
ReportLab Library Reference
===================================

.. rubric:: API main index

This page covers modules within reportlab/lib which may be of
use to developers.  We have tried only to include things
we intend people to use; a lot of code in /lib/ is used
by our package itself, and we reserve the right to change it
if it's not documented here.

Hint:  review tests and user guide and see what is actually imported

Users definitely need:

* units
* colors
* utils

See what else is commonly imported and used in the test scripts!

If in doubt, include it and put a comment so Andy can review.

units
-----------------------

.. automodule:: reportlab.lib.units
   :members:


colors
--------------------

.. automodule:: reportlab.lib.colors
   :members:


utils
--------------------

.. automodule:: reportlab.lib.utils
   :members:

